org.jboss.jca.adapters.jdbc

## Class BaseWrapperManagedConnectionFactory

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.BaseWrapperManagedConnectionFactory

- All Implemented Interfaces:
    java.io.Serializable, javax.resource.spi.ManagedConnectionFactory, javax.resource.spi.ResourceAdapterAssociation, javax.resource.spi.ValidatingManagedConnectionFactory, org.jboss.jca.core.spi.statistics.Statistics
  Direct Known Subclasses:
    LocalManagedConnectionFactory, XAManagedConnectionFactory

      public abstract class BaseWrapperManagedConnectionFactory
      extends java.lang.Object
      implements javax.resource.spi.ManagedConnectionFactory, javax.resource.spi.ValidatingManagedConnectionFactory, javax.resource.spi.ResourceAdapterAssociation, org.jboss.jca.core.spi.statistics.Statistics, java.io.Serializable

  BaseWrapperManagedConnectionFactory
  Author:
    David Jencks, Adrian Brock, Weston Price, Jesper Pedersen
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.jca.adapters.AdaptersBundle` | `bundle` The bundle
    `protected java.lang.String` | `checkValidConnectionSQL` The variable `checkValidConnectionSQL` holds an sql statement that may be executed whenever a managed connection is removed from the pool, to check that it is still valid.
    `protected ValidConnectionChecker` | `connectionChecker` The instance of the valid connection checker
    `protected boolean` | `doQueryTimeout` Query timeout enabled
    `protected java.lang.Boolean` | `isTransactionQueryTimeout` Transaction query timeout
    `protected org.jboss.jca.adapters.AdaptersLogger` | `log` The logger
    `protected java.lang.String` | `newConnectionSQL` The variable `newConnectionSQL` holds an SQL statement which if not null is executed when a new Connection is obtained for a new ManagedConnection.
    `protected java.lang.String` | `password` The password
    `protected java.lang.Integer` | `preparedStatementCacheSize` The prepared statement cache size
    `protected java.lang.Integer` | `queryTimeout` Query timeout
    `protected java.lang.Boolean` | `sharePS` Whether to share cached prepared statements
    `protected StaleConnectionChecker` | `staleConnectionChecker` The instance of the stale connection checker
    `protected java.util.Properties` | `staleConnectionCheckerProps` The properties injected in the stale connection checker
    `static java.lang.String` | `TRACK_STATEMENTS_FALSE` Track statements - false
    `static int` | `TRACK_STATEMENTS_FALSE_INT` Track statements - false
    `static java.lang.String` | `TRACK_STATEMENTS_NOWARN` Track statements - no warning
    `static int` | `TRACK_STATEMENTS_NOWARN_INT` Track statements - no warning
    `static java.lang.String` | `TRACK_STATEMENTS_TRUE` Track statements - true
    `static int` | `TRACK_STATEMENTS_TRUE_INT` Track statements - true
    `protected int` | `trackStatements` Track statement
    `protected int` | `transactionIsolation` The transaction isolation level
    `protected java.lang.String` | `urlDelimiter` The variable `urlDelimiter` holds the url delimiter information to be used for HA DS configuration .
    `protected java.lang.String` | `urlSelectorStrategyClassName` URL selector strategy class name
    `protected java.lang.String` | `userName` The user name
    `protected java.lang.String` | `validConnectionCheckerClassName` The classname used to check whether a connection is valid
    `protected java.util.Properties` | `validConnectionCheckerProps` The properties injected in the class used to check whether a connection is valid

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseWrapperManagedConnectionFactory()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createConnectionFactory()`
    `java.lang.Object` | `createConnectionFactory(javax.resource.spi.ConnectionManager cm)`
    `java.lang.String` | `getCheckValidConnectionSQL()` Get the check valid connection SQL statement
    `ClassLoaderPlugin` | `getClassLoaderPlugin()` Get the clPlugin.
    `java.lang.String` | `getConnectionListenerClassName()` Get connection listener class name
    `java.lang.String` | `getConnectionListenerProperties()` Get connection listener properties
    `protected java.util.Properties` | `getConnectionProperties(java.util.Properties connectionProps, javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri)` Gets full set of connection properties, i.e. whatever is provided in config plus "user" and "password" from subject/cri.
    `java.lang.ClassLoader` | `getExceptionSorterClassLoader()` Get the exception sorter module name
    `java.lang.String` | `getExceptionSorterClassName()` Get the exception sorter class name
    `java.lang.String` | `getExceptionSorterProperties()` Get the exceptionSorterProperties.
    `java.util.Properties` | `getExceptionSorterProps()` Get the exceptionSorterProps.
    `java.util.Set<BaseWrapperManagedConnection>` | `getInvalidConnections(java.util.Set connectionSet)` Get the invalid connections
    `java.lang.String` | `getJndiName()` Get the jndi name value
    `java.io.PrintWriter` | `getLogWriter()`
    `java.lang.String` | `getNewConnectionSQL()` Get the new connection SQL statement
    `java.lang.String` | `getPassword()` Get the password
    `java.lang.Integer` | `getPreparedStatementCacheSize()` Get the prepared statement cache size
    `java.lang.Integer` | `getQueryTimeout()` Get the query timeout
    `java.lang.Boolean` | `getReauthEnabled()` Get reauth enabled
    `java.lang.String` | `getReauthPluginClassName()` Get reauth plugin class name
    `java.lang.String` | `getReauthPluginProperties()` Get reauth plugin properties
    `javax.resource.spi.ResourceAdapter` | `getResourceAdapter()`
    `java.lang.Boolean` | `getSharePreparedStatements()` Get the prepared statement share status
    `java.lang.Boolean` | `getSpy()` Get the spy value
    `java.lang.String` | `getStaleConnectionCheckerClassName()` Get the stale connection checker class name
    `java.lang.String` | `getStaleConnectionCheckerProperties()` Get the staleConnectionCheckerProperties.
    `java.util.Properties` | `getStaleConnectionCheckerProps()` Get the staleConnectionCheckerProps.
    `java.lang.ClassLoader` | `getStaleConnectionClassLoader()` Get the stale connection checker module name
    `JdbcStatisticsPlugin` | `getStatistics()` Get the statistics plugin
    `java.lang.String` | `getTrackStatements()` Get the track statement value
    `java.lang.String` | `getTransactionIsolation()` Get the transaction isolation level
    `java.lang.String` | `getURLDelimiter()` Get the url delimiter
    `java.lang.String` | `getUrlSelectorStrategyClassName()` Get the url selector strategy class name
    `java.lang.String` | `getUserName()` Get the user name
    `java.lang.Integer` | `getUseTryLock()` Get the use try lock value
    `java.lang.ClassLoader` | `getValidConnectionCheckerClassLoader()` Get the valid connection checker class loader
    `java.lang.String` | `getValidConnectionCheckerClassName()` Get the valid connection checker class name
    `java.lang.String` | `getValidConnectionCheckerProperties()` Get the validConnectionCheckerProperties.
    `java.util.Properties` | `getValidConnectionCheckerProps()` Get the validConnectionCheckerProps.
    `boolean` | `isDoLocking()` Are we doing locking
    `boolean` | `isExceptionFatal(java.sql.SQLException e)` Is the exception fatal
    `java.lang.Boolean` | `isJTA()` Get the JTA status
    `java.lang.Boolean` | `isTransactionQueryTimeout()` Is transaction query timeout set
    `void` | `setCheckValidConnectionSQL(java.lang.String checkValidConnectionSQL)` Set the check valid connection SQL statement
    `void` | `setClassLoaderPlugin(ClassLoaderPlugin clPlugin)` Set the clPlugin.
    `void` | `setConnectionListenerClassName(java.lang.String v)` Set connection listener class name
    `void` | `setConnectionListenerProperties(java.lang.String v)` Set connection listener properties
    `void` | `setExceptionSorterClassLoader(java.lang.ClassLoader exceptionSorterClassLoader)` Set the exception sorter module name
    `void` | `setExceptionSorterClassName(java.lang.String exceptionSorterClassName)` Set the exception sorter class name
    `void` | `setExceptionSorterProperties(java.lang.String exceptionSorterProperties)` Set the exceptionSorterProperties.
    `void` | `setJndiName(java.lang.String v)` Set the jndi name value
    `void` | `setJTA(java.lang.Boolean v)` Set the JTA status
    `void` | `setLogWriter(java.io.PrintWriter v)`
    `void` | `setNewConnectionSQL(java.lang.String newConnectionSQL)` Set the new connection SQL statement
    `void` | `setOriginalTCCLn(java.lang.ClassLoader cl)` Set the originalTCCL.
    `void` | `setPassword(java.lang.String password)` Set the password
    `void` | `setPreparedStatementCacheSize(java.lang.Integer size)` Set the prepared statement cache size
    `void` | `setQueryTimeout(java.lang.Integer timeout)` Set the query timeout
    `void` | `setReauthEnabled(java.lang.Boolean v)` Set reauth enabled
    `void` | `setReauthPluginClassName(java.lang.String v)` Set reauth plugin class name
    `void` | `setReauthPluginProperties(java.lang.String v)` Set reauth plugin properties
    `void` | `setResourceAdapter(javax.resource.spi.ResourceAdapter ra)`
    `void` | `setSharePreparedStatements(java.lang.Boolean sharePS)` Set the prepared statement share status
    `void` | `setSpy(java.lang.Boolean v)` Set the spy value
    `void` | `setStaleConnectionCheckerClassLoader(java.lang.ClassLoader staleConnectionCheckerClassLoader)` Set the stale connection checker module name
    `void` | `setStaleConnectionCheckerClassName(java.lang.String staleConnectionCheckerClassName)` Set the stale connection checker class name
    `void` | `setStaleConnectionCheckerProperties(java.lang.String staleConnectionCheckerProperties)` Set the staleConnectionCheckerProperties.
    `void` | `setTrackStatements(java.lang.String value)` Set the track statement value
    `void` | `setTransactionIsolation(java.lang.String transactionIsolation)` Set the transaction isolation level
    `void` | `setTransactionQueryTimeout(java.lang.Boolean value)` Set transaction query timeout
    `void` | `setURLDelimiter(java.lang.String urlDelimiter)` Set the url delimiter.
    `void` | `setUrlSelectorStrategyClassName(java.lang.String urlSelectorStrategyClassName)` Set the url selector strategy class name
    `void` | `setUserName(java.lang.String userName)` Set the user name
    `void` | `setUseTryLock(java.lang.Integer useTryLock)` Set the use try lock value
    `void` | `setValidConnectionCheckerClassLoader(java.lang.ClassLoader validConnectionCheckerClassLoader)` Set the valid connection checker class name
    `void` | `setValidConnectionCheckerClassName(java.lang.String validConnectionCheckerClassName)` Set the valid connection checker class name
    `void` | `setValidConnectionCheckerProperties(java.lang.String validConnectionCheckerProperties)` Set the validConnectionCheckerProperties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.resource.spi.ManagedConnectionFactory

      `createManagedConnection, equals, hashCode, matchManagedConnections`

- - ### Field Detail

    - #### TRACK_STATEMENTS_FALSE_INT

          public static final int TRACK_STATEMENTS_FALSE_INT

      Track statements - false
      See Also:
        Constant Field Values

    - #### TRACK_STATEMENTS_TRUE_INT

          public static final int TRACK_STATEMENTS_TRUE_INT

      Track statements - true
      See Also:
        Constant Field Values

    - #### TRACK_STATEMENTS_NOWARN_INT

          public static final int TRACK_STATEMENTS_NOWARN_INT

      Track statements - no warning
      See Also:
        Constant Field Values

    - #### TRACK_STATEMENTS_FALSE

          public static final java.lang.String TRACK_STATEMENTS_FALSE

      Track statements - false
      See Also:
        Constant Field Values

    - #### TRACK_STATEMENTS_TRUE

          public static final java.lang.String TRACK_STATEMENTS_TRUE

      Track statements - true
      See Also:
        Constant Field Values

    - #### TRACK_STATEMENTS_NOWARN

          public static final java.lang.String TRACK_STATEMENTS_NOWARN

      Track statements - no warning
      See Also:
        Constant Field Values

    - #### log

          protected final org.jboss.jca.adapters.AdaptersLogger log

      The logger

    - #### bundle

          protected static org.jboss.jca.adapters.AdaptersBundle bundle

      The bundle

    - #### userName

          protected java.lang.String userName

      The user name

    - #### password

          protected java.lang.String password

      The password

    - #### transactionIsolation

          protected int transactionIsolation

      The transaction isolation level

    - #### preparedStatementCacheSize

          protected java.lang.Integer preparedStatementCacheSize

      The prepared statement cache size

    - #### doQueryTimeout

          protected boolean doQueryTimeout

      Query timeout enabled

    - #### newConnectionSQL

          protected java.lang.String newConnectionSQL

      The variable `newConnectionSQL` holds an SQL statement which if not null is executed when a new Connection is obtained for a new ManagedConnection.

    - #### checkValidConnectionSQL

          protected java.lang.String checkValidConnectionSQL

      The variable `checkValidConnectionSQL` holds an sql statement that may be executed whenever a managed connection is removed from the pool, to check that it is still valid. This requires setting up an mbean to execute it when notified by the ConnectionManager.

    - #### validConnectionCheckerClassName

          protected java.lang.String validConnectionCheckerClassName

      The classname used to check whether a connection is valid

    - #### validConnectionCheckerProps

          protected final java.util.Properties validConnectionCheckerProps

      The properties injected in the class used to check whether a connection is valid

    - #### connectionChecker

          protected ValidConnectionChecker connectionChecker

      The instance of the valid connection checker

    - #### staleConnectionChecker

          protected StaleConnectionChecker staleConnectionChecker

      The instance of the stale connection checker

    - #### staleConnectionCheckerProps

          protected final java.util.Properties staleConnectionCheckerProps

      The properties injected in the stale connection checker

    - #### trackStatements

          protected int trackStatements

      Track statement

    - #### sharePS

          protected java.lang.Boolean sharePS

      Whether to share cached prepared statements

    - #### isTransactionQueryTimeout

          protected java.lang.Boolean isTransactionQueryTimeout

      Transaction query timeout

    - #### queryTimeout

          protected java.lang.Integer queryTimeout

      Query timeout

    - #### urlDelimiter

          protected java.lang.String urlDelimiter

      The variable `urlDelimiter` holds the url delimiter information to be used for HA DS configuration .

    - #### urlSelectorStrategyClassName

          protected java.lang.String urlSelectorStrategyClassName

      URL selector strategy class name

  - ### Constructor Detail

    - #### BaseWrapperManagedConnectionFactory

          public BaseWrapperManagedConnectionFactory()

      Constructor

  - ### Method Detail

    - #### getResourceAdapter

          public javax.resource.spi.ResourceAdapter getResourceAdapter()

      Specified by:
        `getResourceAdapter` in interface `javax.resource.spi.ResourceAdapterAssociation`

    - #### setResourceAdapter

          public void setResourceAdapter(javax.resource.spi.ResourceAdapter ra)

      Specified by:
        `setResourceAdapter` in interface `javax.resource.spi.ResourceAdapterAssociation`

    - #### getLogWriter

          public java.io.PrintWriter getLogWriter()
                                           throws javax.resource.ResourceException

      Specified by:
        `getLogWriter` in interface `javax.resource.spi.ManagedConnectionFactory`
      Throws:
        `javax.resource.ResourceException`

    - #### setLogWriter

          public void setLogWriter(java.io.PrintWriter v)
                            throws javax.resource.ResourceException

      Specified by:
        `setLogWriter` in interface `javax.resource.spi.ManagedConnectionFactory`
      Throws:
        `javax.resource.ResourceException`

    - #### createConnectionFactory

          public java.lang.Object createConnectionFactory(javax.resource.spi.ConnectionManager cm)
                                                   throws javax.resource.ResourceException

      Specified by:
        `createConnectionFactory` in interface `javax.resource.spi.ManagedConnectionFactory`
      Throws:
        `javax.resource.ResourceException`

    - #### createConnectionFactory

          public java.lang.Object createConnectionFactory()
                                                   throws javax.resource.ResourceException

      Specified by:
        `createConnectionFactory` in interface `javax.resource.spi.ManagedConnectionFactory`
      Throws:
        `javax.resource.ResourceException`

    - #### getUserName

          public java.lang.String getUserName()

      Get the user name
      Returns:
        The value

    - #### setUserName

          public void setUserName(java.lang.String userName)

      Set the user name
      Parameters:
        `userName` - The value

    - #### getPassword

          public java.lang.String getPassword()

      Get the password
      Returns:
        The value

    - #### setPassword

          public void setPassword(java.lang.String password)

      Set the password
      Parameters:
        `password` - The value

    - #### getPreparedStatementCacheSize

          public java.lang.Integer getPreparedStatementCacheSize()

      Get the prepared statement cache size
      Returns:
        The value

    - #### setPreparedStatementCacheSize

          public void setPreparedStatementCacheSize(java.lang.Integer size)

      Set the prepared statement cache size
      Parameters:
        `size` - The value

    - #### getSharePreparedStatements

          public java.lang.Boolean getSharePreparedStatements()

      Get the prepared statement share status
      Returns:
        The value

    - #### setSharePreparedStatements

          public void setSharePreparedStatements(java.lang.Boolean sharePS)

      Set the prepared statement share status
      Parameters:
        `sharePS` - The value

    - #### getTransactionIsolation

          public java.lang.String getTransactionIsolation()

      Get the transaction isolation level
      Returns:
        The value

    - #### setTransactionIsolation

          public void setTransactionIsolation(java.lang.String transactionIsolation)

      Set the transaction isolation level
      Parameters:
        `transactionIsolation` - The value

    - #### getNewConnectionSQL

          public java.lang.String getNewConnectionSQL()

      Get the new connection SQL statement
      Returns:
        The value

    - #### setNewConnectionSQL

          public void setNewConnectionSQL(java.lang.String newConnectionSQL)

      Set the new connection SQL statement
      Parameters:
        `newConnectionSQL` - The value

    - #### getCheckValidConnectionSQL

          public java.lang.String getCheckValidConnectionSQL()

      Get the check valid connection SQL statement
      Returns:
        The value

    - #### setCheckValidConnectionSQL

          public void setCheckValidConnectionSQL(java.lang.String checkValidConnectionSQL)

      Set the check valid connection SQL statement
      Parameters:
        `checkValidConnectionSQL` - The value

    - #### getStaleConnectionCheckerClassName

          public java.lang.String getStaleConnectionCheckerClassName()

      Get the stale connection checker class name
      Returns:
        The value

    - #### setStaleConnectionCheckerClassName

          public void setStaleConnectionCheckerClassName(java.lang.String staleConnectionCheckerClassName)

      Set the stale connection checker class name
      Parameters:
        `staleConnectionCheckerClassName` - The staleConnectionCheckerClassName

    - #### getStaleConnectionClassLoader

          public java.lang.ClassLoader getStaleConnectionClassLoader()

      Get the stale connection checker module name
      Returns:
        The value

    - #### setStaleConnectionCheckerClassLoader

          public void setStaleConnectionCheckerClassLoader(java.lang.ClassLoader staleConnectionCheckerClassLoader)

      Set the stale connection checker module name
      Parameters:
        `staleConnectionCheckerClassLoader` - The staleConnectionCheckerModuleName

    - #### getTrackStatements

          public java.lang.String getTrackStatements()

      Get the track statement value
      Returns:
        The value

    - #### setTrackStatements

          public void setTrackStatements(java.lang.String value)

      Set the track statement value
      Parameters:
        `value` - The value

    - #### getExceptionSorterClassName

          public java.lang.String getExceptionSorterClassName()

      Get the exception sorter class name
      Returns:
        The value

    - #### setExceptionSorterClassName

          public void setExceptionSorterClassName(java.lang.String exceptionSorterClassName)

      Set the exception sorter class name
      Parameters:
        `exceptionSorterClassName` - The value

    - #### getExceptionSorterClassLoader

          public java.lang.ClassLoader getExceptionSorterClassLoader()

      Get the exception sorter module name
      Returns:
        The value

    - #### setExceptionSorterClassLoader

          public void setExceptionSorterClassLoader(java.lang.ClassLoader exceptionSorterClassLoader)

      Set the exception sorter module name
      Parameters:
        `exceptionSorterClassLoader` - The value

    - #### getValidConnectionCheckerClassName

          public java.lang.String getValidConnectionCheckerClassName()

      Get the valid connection checker class name
      Returns:
        The value

    - #### setValidConnectionCheckerClassName

          public void setValidConnectionCheckerClassName(java.lang.String validConnectionCheckerClassName)

      Set the valid connection checker class name
      Parameters:
        `validConnectionCheckerClassName` - The value

    - #### getValidConnectionCheckerClassLoader

          public java.lang.ClassLoader getValidConnectionCheckerClassLoader()

      Get the valid connection checker class loader
      Returns:
        The value

    - #### setValidConnectionCheckerClassLoader

          public void setValidConnectionCheckerClassLoader(java.lang.ClassLoader validConnectionCheckerClassLoader)

      Set the valid connection checker class name
      Parameters:
        `validConnectionCheckerClassLoader` - The value

    - #### isTransactionQueryTimeout

          public java.lang.Boolean isTransactionQueryTimeout()

      Is transaction query timeout set
      Returns:
        The value

    - #### setTransactionQueryTimeout

          public void setTransactionQueryTimeout(java.lang.Boolean value)

      Set transaction query timeout
      Parameters:
        `value` - The value

    - #### getQueryTimeout

          public java.lang.Integer getQueryTimeout()

      Get the query timeout
      Returns:
        The value

    - #### setQueryTimeout

          public void setQueryTimeout(java.lang.Integer timeout)

      Set the query timeout
      Parameters:
        `timeout` - The value

    - #### getUseTryLock

          public java.lang.Integer getUseTryLock()

      Get the use try lock value
      Returns:
        The value

    - #### setUseTryLock

          public void setUseTryLock(java.lang.Integer useTryLock)

      Set the use try lock value
      Parameters:
        `useTryLock` - The value

    - #### isDoLocking

          public boolean isDoLocking()

      Are we doing locking
      Returns:
        `true` if locking, otherwise `false`

    - #### setSpy

          public void setSpy(java.lang.Boolean v)

      Set the spy value
      Parameters:
        `v` - The value

    - #### getSpy

          public java.lang.Boolean getSpy()

      Get the spy value
      Returns:
        The value

    - #### setJndiName

          public void setJndiName(java.lang.String v)

      Set the jndi name value
      Parameters:
        `v` - The value

    - #### getJndiName

          public java.lang.String getJndiName()

      Get the jndi name value
      Returns:
        The value

    - #### getReauthEnabled

          public java.lang.Boolean getReauthEnabled()

      Get reauth enabled
      Returns:
        The value

    - #### setReauthEnabled

          public void setReauthEnabled(java.lang.Boolean v)

      Set reauth enabled
      Parameters:
        `v` - The value

    - #### getReauthPluginClassName

          public java.lang.String getReauthPluginClassName()

      Get reauth plugin class name
      Returns:
        The value

    - #### setReauthPluginClassName

          public void setReauthPluginClassName(java.lang.String v)

      Set reauth plugin class name
      Parameters:
        `v` - The value

    - #### getReauthPluginProperties

          public java.lang.String getReauthPluginProperties()

      Get reauth plugin properties
      Returns:
        The value

    - #### setReauthPluginProperties

          public void setReauthPluginProperties(java.lang.String v)

      Set reauth plugin properties
      Parameters:
        `v` - The value

    - #### getConnectionListenerClassName

          public java.lang.String getConnectionListenerClassName()

      Get connection listener class name
      Returns:
        The value

    - #### setConnectionListenerClassName

          public void setConnectionListenerClassName(java.lang.String v)

      Set connection listener class name
      Parameters:
        `v` - The value

    - #### getConnectionListenerProperties

          public java.lang.String getConnectionListenerProperties()

      Get connection listener properties
      Returns:
        The value

    - #### setConnectionListenerProperties

          public void setConnectionListenerProperties(java.lang.String v)

      Set connection listener properties
      Parameters:
        `v` - The value

    - #### getURLDelimiter

          public java.lang.String getURLDelimiter()

      Get the url delimiter
      Returns:
        The value

    - #### setURLDelimiter

          public void setURLDelimiter(java.lang.String urlDelimiter)

      Set the url delimiter.
      Parameters:
        `urlDelimiter` - The value

    - #### getUrlSelectorStrategyClassName

          public java.lang.String getUrlSelectorStrategyClassName()

      Get the url selector strategy class name
      Returns:
        The value

    - #### setUrlSelectorStrategyClassName

          public void setUrlSelectorStrategyClassName(java.lang.String urlSelectorStrategyClassName)

      Set the url selector strategy class name
      Parameters:
        `urlSelectorStrategyClassName` - The value

    - #### getStatistics

          public JdbcStatisticsPlugin getStatistics()

      Get the statistics plugin
      Specified by:
        `getStatistics` in interface `org.jboss.jca.core.spi.statistics.Statistics`
      Returns:
        The value

    - #### isJTA

          public java.lang.Boolean isJTA()

      Get the JTA status
      Returns:
        The value

    - #### setJTA

          public void setJTA(java.lang.Boolean v)

      Set the JTA status
      Parameters:
        `v` - The value

    - #### getInvalidConnections

          public java.util.Set<BaseWrapperManagedConnection> getInvalidConnections(java.util.Set connectionSet)
                                                                            throws javax.resource.ResourceException

      Get the invalid connections
      Specified by:
        `getInvalidConnections` in interface `javax.resource.spi.ValidatingManagedConnectionFactory`
      Parameters:
        `connectionSet` - The connection set
      Returns:
        The invalid connections
      Throws:
        `javax.resource.ResourceException` - Thrown if an error occurs

    - #### getConnectionProperties

          protected java.util.Properties getConnectionProperties(java.util.Properties connectionProps,
                                                                 javax.security.auth.Subject subject,
                                                                 javax.resource.spi.ConnectionRequestInfo cri)
                                                          throws javax.resource.ResourceException

      Gets full set of connection properties, i.e. whatever is provided in config plus "user" and "password" from subject/cri.

      Note that the set is used to match connections to datasources as well as to create new managed connections.

      In fact, we have a problem here. Theoretically, there is a possible name collision between config properties and "user"/"password".

      Parameters:
        `connectionProps` - The connection properties
        `subject` - The subject
        `cri` - The connection request info
      Returns:
        The properties
      Throws:
        `javax.resource.ResourceException` - Thrown if an error occurs

    - #### isExceptionFatal

          public boolean isExceptionFatal(java.sql.SQLException e)

      Is the exception fatal
      Parameters:
        `e` - The exception
      Returns:
        True if fatal; otherwise false

    - #### getValidConnectionCheckerProps

          public final java.util.Properties getValidConnectionCheckerProps()

      Get the validConnectionCheckerProps.
      Returns:
        the validConnectionCheckerProps.

    - #### getStaleConnectionCheckerProps

          public final java.util.Properties getStaleConnectionCheckerProps()

      Get the staleConnectionCheckerProps.
      Returns:
        the staleConnectionCheckerProps.

    - #### getExceptionSorterProps

          public final java.util.Properties getExceptionSorterProps()

      Get the exceptionSorterProps.
      Returns:
        the exceptionSorterProps.

    - #### getValidConnectionCheckerProperties

          public final java.lang.String getValidConnectionCheckerProperties()

      Get the validConnectionCheckerProperties.
      Returns:
        the validConnectionCheckerProperties.

    - #### setValidConnectionCheckerProperties

          public final void setValidConnectionCheckerProperties(java.lang.String validConnectionCheckerProperties)

      Set the validConnectionCheckerProperties.
      Parameters:
        `validConnectionCheckerProperties` - The validConnectionCheckerProperties to set.

    - #### getStaleConnectionCheckerProperties

          public final java.lang.String getStaleConnectionCheckerProperties()

      Get the staleConnectionCheckerProperties.
      Returns:
        the staleConnectionCheckerProperties.

    - #### setStaleConnectionCheckerProperties

          public final void setStaleConnectionCheckerProperties(java.lang.String staleConnectionCheckerProperties)

      Set the staleConnectionCheckerProperties.
      Parameters:
        `staleConnectionCheckerProperties` - The staleConnectionCheckerProperties to set.

    - #### getExceptionSorterProperties

          public final java.lang.String getExceptionSorterProperties()

      Get the exceptionSorterProperties.
      Returns:
        the exceptionSorterProperties.

    - #### setExceptionSorterProperties

          public final void setExceptionSorterProperties(java.lang.String exceptionSorterProperties)

      Set the exceptionSorterProperties.
      Parameters:
        `exceptionSorterProperties` - The exceptionSorterProperties to set.

    - #### getClassLoaderPlugin

          public final ClassLoaderPlugin getClassLoaderPlugin()

      Get the clPlugin.
      Returns:
        the clPlugin.

    - #### setClassLoaderPlugin

          public final void setClassLoaderPlugin(ClassLoaderPlugin clPlugin)

      Set the clPlugin.
      Parameters:
        `clPlugin` - The clPlugin to set.

    - #### setOriginalTCCLn

          public final void setOriginalTCCLn(java.lang.ClassLoader cl)

      Set the originalTCCL.
      Parameters:
        `cl` - The clPlugin to set.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)